## ldview-4.4.1.tar.gz

=== Makefile ===
# Makefile for Linux/Unix based systems
# Thanks to Johannes Schauer
#
INSTALL_ROOT=$(DESTDIR)
export INSTALL_ROOT

all:
	cd QT; \
	if which qmake >/dev/null 2>/dev/null ; \
	then qmake ; lrelease LDView.pro ; \
	else qmake-qt4 ; lrelease-qt4 LDView.pro ; fi
	cd QT; $(MAKE)

install:
	cd QT; $(MAKE) install

clean:
ifneq ($(wildcard QT/Makefile),)
	cd QT; $(MAKE) distclean
endif

=== LGEOTables/Makefile ===
APP = LGEOTables
CC = g++
RM = rm -f
RMDIR = rm -rf
MAKEDEPEND = gcc -MM

LIBDIRS =
LIBS = -ltinyxml
STATIC =
ARCH32 =

CFLAGS = -o $(OBJDIR)/$*.o -Wall -D_GNU_SOURCE -O3 -D_NO_BOOST

CSRCS = $(wildcard *.c)
CCSRCS = $(wildcard *.cpp)

ifeq ($(shell uname -s), Darwin)
CFLAGS += -arch i386 -arch ppc
endif

INCLUDE = -I.. -I../include
OBJDIR = .obj$(POSTFIX)
VPATH = $(OBJDIR)

SRCS = $(CSRCS) $(CCSRCS)
COBJS = $(CSRCS:.c=.o)
CCOBJS = $(CCSRCS:.cpp=.o)
OBJS = $(COBJS) $(CCOBJS)

.SUFFIXES:

.SUFFIXES:  .cpp .o .c

.cpp.o:
	$(CC) $(CFLAGS) $(INCLUDE) $(CFLAGSLOC) -c $<

.c.o:
	$(CC) $(CFLAGS) $(INCLUDE) $(CFLAGSLOC) -c $<

all:    $(OBJDIR) $(APP)

$(OBJDIR):
	if [ ! -d $(OBJDIR) ]; then \
		mkdir $(OBJDIR);                \
	fi

depend:
	$(RM) .depend
	$(MAKEDEPEND) $(INCLUDE) $(SRCS) > .depend

$(APP):   $(OBJS)
	cd $(OBJDIR); $(CC) $(STATIC) $(ARCH32) -o ../$(APP) $(OBJS) $(LIBDIRS) $(LIBS)

clean:
	if [ -d $(OBJDIR) ] ; then	\
		cd $(OBJDIR);			\
		$(RM) $(OBJS);			\
	fi
	$(RMDIR) $(OBJDIR)
	$(RM) $(APP)

=== OSMesa/Makefile ===
POSTFIX = -osmesa
ifeq ($(shell uname), FreeBSD)
CC = c++
else
CC = g++
endif
RM = rm -f
RMDIR = rm -rf
MAKEDEPEND = gcc -MM

ifeq ("$(LIB_PNG)","")

LIB_PNG=png

endif

LDLIBDIRS = -L../../TCFoundation -L../../TRE -L../../LDLoader -L../../LDLib -L../../LDExporter
LIBDIRS = $(LDLIBDIRS) -L/usr/X11R6/lib
LIBS = -lLDraw$(POSTFIX) -lTRE$(POSTFIX) -lLDLoader$(POSTFIX) -lTCFoundation$(POSTFIX) -lLDExporter$(POSTFIX) -lgl2ps -l$(LIB_PNG) -lz -lOSMesa -lGLU -lGL -ljpeg -ltinyxml -L ../../lib
STATIC =
ARCH32 =
LDLIBS = ../TCFoundation/libTCFoundation$(POSTFIX).a ../LDLoader/libLDLoader$(POSTFIX).a ../TRE/libTRE$(POSTFIX).a ../LDLib/libLDraw$(POSTFIX).a ../LDExporter/libLDExporter$(POSTFIX).a
MAKEMODE = POSTFIX=-osmesa USE_BOOST=NO

CFLAGS = -o $(OBJDIR)/$*.o $(TESTING) -Wall -D_GNU_SOURCE -O3

ifeq ("$(USE_CPP11)","YES")

CFLAGS += -DUSE_CPP11 -std=c++11
LIBS   += -lpthread
endif

CSRCS = $(wildcard *.c)
CCSRCS =  ldview.cpp

BASEDIR=$(realpath $(shell if test -d 3rdParty ; then pwd ; else if test -d ../3rdParty ; then echo .. ;fi;fi))

ifeq ($(shell uname -s), Darwin)
CFLAGS += 
TESTING += -L../../lib/MacOSX
LIB_PNG=png16
AR = libtool -static  -o
else
AR = ar rcs
endif

INCLUDE = -I.. -I../include

ifeq ("$(LOCAL_OSMESA)","YES")

LIBDIRS += -L$(BASEDIR)/3rdParty/osmesa/lib
INCLUDE += -I../3rdParty/osmesa/include
LIBS += -lglapi
endif

ifeq ($(shell uname -m), x86_64)
ifeq ($(LDVDEV32), YES)
CFLAGS += -m32
ARCH32 = -m32
LIBDIRS += -L/usr/lib32
LIBS += -l3ds
else
LIBS += -l3ds-64
endif
else
ifeq ($(shell if [ `uname -m` = i386 -o `uname -m` = i486 -o `uname -m` = i586 -o `uname -m` = i686 ]; then echo OK; fi),OK)
LIBS += -l3ds
endif
endif

ifeq ($(shell uname), FreeBSD)
INCLUDE += -I/usr/local/include
LIBDIRS += -L/usr/local/lib
endif

# slurm is media.peeron.com
ifeq ($(shell hostname), slurm)
INCLUDE += -I../../Mesa-7.0.2/include
LIBDIRS += -L../../../Mesa-7.0.2/lib
#STATIC = -static
endif

ifeq ($(shell hostname | cut -d. -f2-), pair.com)
# CFLAGS += -DNO_WSTRING -DNO_WCSTOUL -DTC_NO_UNICODE -DNO_WPRINTF
INCLUDE += -I../../Mesa-7.11/include -I/usr/local/include
LIBDIRS += -L../../../Mesa-7.11/lib -L/usr/local/lib/pth -L/usr/local/lib
LIBS += -lpth
STATIC = -static
endif

CFLAGS += -D_OSMESA -D_NO_BOOST

ifeq ($(shell if [ -d /usr/include/qt3 ]; then echo OK; fi),OK)
INCLUDE += -I/usr/include/qt3
endif

OBJDIR = .obj$(POSTFIX)

VPATH = $(OBJDIR)

SRCS = $(CSRCS) $(CCSRCS)
COBJS = $(CSRCS:.c=.o)
CCOBJS = $(CCSRCS:.cpp=.o)
OBJS = $(COBJS) $(CCOBJS)

.SUFFIXES:

.SUFFIXES:  .cpp .o .c

.cpp.o:
	$(CC) $(CFLAGS) $(INCLUDE) $(CFLAGSLOC) -c $<

.c.o:
	$(CC) $(CFLAGS) $(INCLUDE) $(CFLAGSLOC) -c $<

all:    $(OBJDIR) ldview

../TCFoundation/libTCFoundation$(POSTFIX).a:
	cd ../TCFoundation; $(MAKE) $(MAKEMODE)

../LDLoader/libLDLoader$(POSTFIX).a:
	cd ../LDLoader; $(MAKE) $(MAKEMODE)

../TRE/libTRE$(POSTFIX).a:
	cd ../TRE; $(MAKE) $(MAKEMODE)

../LDLib/libLDraw$(POSTFIX).a:
	cd ../LDLib; $(MAKE) $(MAKEMODE)

../LDExporter/libLDExporter$(POSTFIX).a:
	cd ../LDExporter; $(MAKE) $(MAKEMODE)

ifneq ($(shell if test -f /usr/include/tinyxml.h ; then echo OK ; fi),OK)
LIBS +=-L$(BASEDIR)/3rdParty/tinyxml
ldview:    $(BASEDIR)/3rdParty/tinyxml/libtinyxml.a
$(BASEDIR)/3rdParty/tinyxml/libtinyxml.a: $(BASEDIR)/3rdParty/tinyxml/*.cpp $(BASEDIR)/3rdParty/tinyxml/*.h
	cd $(BASEDIR)/3rdParty/tinyxml/ ; $(MAKE) -f Makefile.pbartfai
tinyxmlclean:
	cd ../3rdParty/tinyxml ; $(MAKE) -f Makefile.pbartfai clean
clean: tinyxmlclean
endif

ifneq ($(shell if test -f /usr/include/gl2ps.h ; then echo OK ; fi),OK)
LIBS +=-L$(BASEDIR)/gl2ps
ldview: $(BASEDIR)/gl2ps/libgl2ps.a
$(BASEDIR)/gl2ps/libgl2ps.a: $(BASEDIR)/gl2ps/*.c $(BASEDIR)/gl2ps/*.h
	cd $(BASEDIR)/gl2ps ; $(MAKE)

gl2psclean:
	cd ../gl2ps ; $(MAKE) clean
clean: gl2psclean
endif

$(OBJDIR):
	if [ ! -d $(OBJDIR) ]; then \
		mkdir $(OBJDIR);                \
	fi

depend:
	$(RM) .depend
	$(MAKEDEPEND) $(INCLUDE) $(SRCS) > .depend

Headerize: Headerize.o $(LDLIBS)
	cd $(OBJDIR); $(CC) $(STATIC) $(ARCH32) $(TESTING) -o ../Headerize Headerize.o $(LIBDIRS) -L../TCFoundation -lTCFoundation-osmesa -ljpeg -l$(LIB_PNG) -lz

LDViewMessages.h: Headerize ../LDViewMessages.ini
	./Headerize ../LDViewMessages.ini

StudLogo.h: Headerize ../Textures/StudLogo.png
	./Headerize ../Textures/StudLogo.png

ldview.o: StudLogo.h LDViewMessages.h

ldview: $(LDLIBS) $(OBJS)
	cd $(OBJDIR); $(CC) $(STATIC) $(ARCH32) $(TESTING) -o ../ldview $(OBJS) $(LIBDIRS) $(LIBS)

webgrabber:	$(OBJS)
			$(CC) -o webgrabber $(OBJS) $(LIBDIRS) $(LIBS)

clean: MAKEMODE = clean POSTFIX=-osmesa
clean:
	cd ../TRE ;          $(MAKE) $(MAKEMODE)
	cd ../LDLib ;        $(MAKE) $(MAKEMODE)
	cd ../TCFoundation ; $(MAKE) $(MAKEMODE)
	cd ../LDLoader ;     $(MAKE) $(MAKEMODE)
	cd ../LDExporter ;   $(MAKE) $(MAKEMODE)
	if [ -d $(OBJDIR) ] ; then	\
		cd $(OBJDIR);			\
		$(RM) $(OBJS);			\
	fi
	$(RMDIR) $(OBJDIR)
	$(RM) ldview core Headerize StudLogo.h

debug: CFLAGSLOC = -g -DUNZIP_CMD
debug: MAKEMODE = debug POSTFIX=-osmesa USE_BOOST=NO
debug: all

test: all
	@if [ ! -f ~/.ldviewrc  ] ; then                      \
		if [ ! -f ~/.config/LDView/ldviewrc ] ; then      \
			cp ldviewrc.sample ~/.ldviewrc;               \
			echo Default .ldviewrc created;               \
		fi                                                \
	fi
	@if [ -f ~/.ldviewrc ] ; then                                        \
		if [ -d "`grep ^LDrawDir ~/.ldviewrc | cut -f2 -d=`" ] ; then    \
			echo LDraw dir \(~/.ldviewrc\):                              \
				`grep ^LDrawDir ~/.ldviewrc | cut -f2 -d=` ;             \
		else                                                             \
			echo ERROR LDraw dir                                         \
				`grep ^LDrawDir ~/.ldviewrc | cut -f2 -d=`               \
				not found \(~/.ldviewrc\) ;                              \
			exit 1;                                                      \
		fi                                                               \
	elif [ -f ~/.config/LDView/ldviewrc ] ; then                         \
		if [ -d "`grep ^LDrawDir ~/.config/LDView/ldviewrc | cut -f2 -d=`" ] ; then   \
			echo LDraw dir \(~/.config/LDView/ldviewrc\):                \
			`grep ^LDrawDir ~/.config/LDView/ldviewrc | cut -f2 -d=`;    \
		else                                                             \
			echo ERROR LDraw dir                                         \
				`grep ^LDrawDir ~/.config/LDView/ldviewrc | cut -f2 -d=` \
				not found \(~/.config/LDView/ldviewrc\);                 \
			exit 1;                                                      \
		fi                                                               \
	elif [ -d /usr/share/ldraw ] ; then                                  \
		echo LDraw dir default: /usr/share/ldraw ;                       \
	else                                                                 \
		echo LDraw dir not found ;                                       \
		exit 1;                                                          \
	fi
	@if [ -f /tmp/8464.png ] ; then rm -f /tmp/8464.png ; fi
	./ldview ../8464.mpd -SaveSnapshot=/tmp/8464.png \
	-SaveWidth=1024 -SaveHeight=1024 -ShowErrors=0 -SaveActualSize=0
	@if [ -f /tmp/8464.png ] ; then                     \
		file /tmp/8464.png ;                            \
		for a in eog gthumb ; do 						\
			if which $$a >/dev/null 2>/dev/null ; then  \
				$$a /tmp/8464.png; 						\
				break ;									\
			fi											\
		done                                            \
	fi

install: ldview
	install -D -m 755 ldview $(PREFIX)/usr/bin/ldview
	install -D -m 644 ldview.1 $(PREFIX)/usr/share/man/man1/ldview.1
	gzip -9f $(PREFIX)/usr/share/man/man1/ldview.1
	install -D -m 644 ldviewrc.sample $(PREFIX)/usr/share/ldview/ldviewrc.sample

=== QT/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)
project(LDView)

set(OpenGL_GL_PREFERENCE LEGACY)

find_package(QT NAMES Qt6 Qt5 COMPONENTS Core REQUIRED)
find_package(Qt${QT_VERSION_MAJOR} COMPONENTS Core Widgets OpenGL PrintSupport LinguistTools REQUIRED)
find_package(OpenGL REQUIRED)
find_package(X11 REQUIRED)
find_package(Threads REQUIRED)
find_package(PNG REQUIRED)
find_package(JPEG REQUIRED)
message(STATUS "Qt:   ${QT_VERSION}")
message(STATUS "PNG:  ${PNG_VERSION_STRING}")
message(STATUS "JPEG: ${JPEG_VERSION}")

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

add_definitions(-D_NO_BOOST -D_QT)
add_definitions(${Qt${QT_VERSION_MAJOR}Gui_DEFINITIONS})
add_definitions(${Qt${QT_VERSION_MAJOR}PrintSupport_DEFINITIONS})
add_definitions(${Qt${QT_VERSION_MAJOR}OpenGL_DEFINITIONS})

include_directories(
	${CMAKE_SOURCE_DIR}/..
	${CMAKE_SOURCE_DIR}/.ui
	${Qt${QT_VERSION_MAJOR}OpenGL_INCLUDE_DIRS}
	${Qt${QT_VERSION_MAJOR}PrintSupport_INCLUDE_DIRS}
	${PNG_INCLUDE_DIRS}
	${JPEG_INCLUDE_DIRS}
)

file(GLOB LDViewSources *.cpp *.h *.ui resources.qrc)
qt5_add_resources(LDViewSources resources.qrc)
add_executable(LDView ${LDViewSources})


file(GLOB ts_files *.ts)
qt5_add_translation(qm_files ${ts_files})

target_link_libraries(LDView -L${CMAKE_SOURCE_DIR}/../TRE -lTRE-qt${QT_VERSION_MAJOR})
target_link_libraries(LDView -L${CMAKE_SOURCE_DIR}/../LDLib -lLDraw-qt${QT_VERSION_MAJOR})
target_link_libraries(LDView -L${CMAKE_SOURCE_DIR}/../TCFoundation -lTCFoundation-qt${QT_VERSION_MAJOR})
target_link_libraries(LDView -L${CMAKE_SOURCE_DIR}/../LDExporter -lLDExporter-qt${QT_VERSION_MAJOR})
target_link_libraries(LDView -L${CMAKE_SOURCE_DIR}/../LDLoader -lLDLoader-qt${QT_VERSION_MAJOR})
target_link_libraries(LDView -lgl2ps -ltinyxml -l3ds-64 -L${CMAKE_SOURCE_DIR}/../lib)

target_link_libraries(LDView Qt${QT_VERSION_MAJOR}::Widgets)
target_link_libraries(LDView Qt${QT_VERSION_MAJOR}::PrintSupport)
target_link_libraries(LDView ${QT_LIBRARIES})
target_link_libraries(LDView Qt${QT_VERSION_MAJOR}::OpenGL ${OPENGL_LIBRARIES})
target_link_libraries(LDView ${X11_X11_LIB})
target_link_libraries(LDView ${CMAKE_THREAD_LIBS_INIT})
target_link_libraries(LDView ${PNG_LIBRARIES} ${JPEG_LIBRARIES})

include(ExternalProject)

ExternalProject_Add(TRE
	SOURCE_DIR ${CMAKE_SOURCE_DIR}/../TRE
	CONFIGURE_COMMAND ""
	DOWNLOAD_COMMAND ""
	UPDATE_COMMAND ""
	CONFIGURE_COMMAND ""
	BUILD_IN_SOURCE 1
	BUILD_COMMAND make POSTFIX=-qt${QT_VERSION_MAJOR} TESTING=-D_NO_BOOST
	INSTALL_COMMAND ""
)

ExternalProject_Add(TCFoundation
	SOURCE_DIR ${CMAKE_SOURCE_DIR}/../TCFoundation
	CONFIGURE_COMMAND ""
	DOWNLOAD_COMMAND ""
	UPDATE_COMMAND ""
	CONFIGURE_COMMAND ""
	BUILD_IN_SOURCE 1
	BUILD_COMMAND make POSTFIX=-qt${QT_VERSION_MAJOR} TESTING=-D_NO_BOOST\ -D_QT\ -I/usr/include/qt5
	INSTALL_COMMAND ""
)

ExternalProject_Add(LDExporter
	SOURCE_DIR ${CMAKE_SOURCE_DIR}/../LDExporter
	CONFIGURE_COMMAND ""
	DOWNLOAD_COMMAND ""
	UPDATE_COMMAND ""
	CONFIGURE_COMMAND ""
	BUILD_IN_SOURCE 1
	BUILD_COMMAND make POSTFIX=-qt${QT_VERSION_MAJOR} TESTING=-D_NO_BOOST
	INSTALL_COMMAND ""
)

ExternalProject_Add(LDLoader
	SOURCE_DIR ${CMAKE_SOURCE_DIR}/../LDLoader
	CONFIGURE_COMMAND ""
	DOWNLOAD_COMMAND ""
	UPDATE_COMMAND ""
	CONFIGURE_COMMAND ""
	BUILD_IN_SOURCE 1
	BUILD_COMMAND make POSTFIX=-qt${QT_VERSION_MAJOR} TESTING=-D_NO_BOOST
	INSTALL_COMMAND ""
)

ExternalProject_Add(LDLib
	SOURCE_DIR ${CMAKE_SOURCE_DIR}/../LDLib
	CONFIGURE_COMMAND ""
	DOWNLOAD_COMMAND ""
	UPDATE_COMMAND ""
	CONFIGURE_COMMAND ""
	BUILD_IN_SOURCE 1
	BUILD_COMMAND make POSTFIX=-qt${QT_VERSION_MAJOR} TESTING=-D_NO_BOOST
	INSTALL_COMMAND ""
)

get_cmake_property(_variableNames VARIABLES)
foreach (_variableName ${_variableNames})
   message(STATUS "${_variableName}=${${_variableName}}")
endforeach()

=== gl2ps/Makefile ===
EXECS= libgl2ps$(POSTFIX).a
CFLAGSLOC = -O3  -DGL2PS_HAVE_ZLIB -DGL2PS_HAVE_LIBPNG
LIBDIRS =
HOSTLIBS =

-include ../Makefile.inc

debug: CFLAGSLOC = -g
debug: all

-include .depend

=== QT/freebsd/Makefile ===
# $FreeBSD$
PORTNAME=	ldview
PORTVERSION=	4.4
PORTREVISION=	1
CATEGORIES=	graphics
USE_GITHUB=	yes
GH_ACCOUNT=	tcobbs
GH_TAGNAME=	HEAD
MAINTAINER=	pbartfai@stardust.hu
COMMENT=	LDraw model viewer
WRKSRC_SUBDIR=	QT
LIB_DEPENDS=	libOSMesa.so:graphics/osmesa \
		libtinyxml.so:textproc/tinyxml \
		libgl2ps.so:print/gl2ps \
		lib3ds.so:graphics/lib3ds
USES=		qt:5 qmake gmake desktop-file-utils shared-mime-info
USE_QT5=	buildtools_build qmake_build core gui linguist opengl
QMAKE_ARGS+=	-spec freebsd-clang MANDIR=${PREFIX}/man/ DOCDIR=${STAGEDIR}${PREFIX}/share/doc/ldview/ SYSCONFDIR=${PREFIX}/etc

pre-configure:
	cd ${WRKSRC} ; lrelease-qt5 LDView.pro

post-build:
	cd ${WRKSRC} ; cd ../OSMesa ; gmake

post-install:
	install -m 755 ${WRKSRC}/../OSMesa/ldview ${STAGEDIR}${PREFIX}/bin/ldview
	install -m 644 ${WRKSRC}/../OSMesa/ldview.1 ${STAGEDIR}${PREFIX}/man/man1/
	gzip -9f ${STAGEDIR}${PREFIX}/man/man1/ldview.1
	install -m 644 ${WRKSRC}/../OSMesa/ldviewrc.sample ${STAGEDIR}${PREFIX}/share/ldview/


post-stage:
	rm -f ${STAGEDIR}${PREFIX}/share/mime-info/ldraw.mime
	rm -f ${STAGEDIR}${PREFIX}/share/mime-info/ldraw.keys
	rmdir ${STAGEDIR}${PREFIX}/share/mime-info
	rm -f ${STAGEDIR}${PREFIX}/share/kde4/services/ldviewthumbnailcreator.desktop
#	rmdir ${STAGEDIR}${PREFIX}/share/kde4/services
#	rmdir ${STAGEDIR}${PREFIX}/share/kde4
	rm -f ${STAGEDIR}${PREFIX}/share/application-registry/ldview.applications
	rmdir ${STAGEDIR}${PREFIX}/share/application-registry

.include <bsd.port.mk>

=== QT/kde/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
project(LDViewThumbnail)

find_package(KDE4 REQUIRED)
include (KDE4Defaults)

include_directories( ${KDE4_INCLUDES} ${QT_INCLUDES} )

set(LDViewThumbnail_SRCS ldviewthumbnailcreator.cpp)

kde4_add_plugin(ldviewthumbnail ${LDViewThumbnail_SRCS})

target_link_libraries(ldviewthumbnail ${KDE4_KIO_LIBS} )

install(TARGETS ldviewthumbnail DESTINATION ${PLUGIN_INSTALL_DIR} )

install(FILES  ldviewthumbnailcreator.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== QT/kde5/CMakeLists.txt ===
project(ldviewthumbnail)
cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
set(QT_MIN_VERSION "5.2.0")

find_package(ECM 1.0.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

include(FeatureSummary)
include(WriteBasicConfigVersionFile)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
find_package(KF5 REQUIRED COMPONENTS KIO)
set(ldviewthumbnail_SRCS ldviewthumbnailcreator.cpp)
add_library(ldviewthumbnail MODULE ${ldviewthumbnail_SRCS})

target_link_libraries(ldviewthumbnail PRIVATE KF5::KIOWidgets )
install(TARGETS ldviewthumbnail DESTINATION ${PLUGIN_INSTALL_DIR} )
install(FILES  ldviewthumbnailcreator.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== QT/debian/changelog ===
ldview (4.4.1) stable; urgency=low

  * Release 4.4.1

 -- Peter Bartfai <pbartfai@stardust.hu>  Thu, 10 Feb 2022 09:32:00 +0200

ldview (4.4.1b2) stable; urgency=low

  * Release 4.4.1b2

 -- Peter Bartfai <pbartfai@stardust.hu>  Sun, 6 Feb 2022 12:47:00 +0200

ldview (4.4.1b1) stable; urgency=low

  * Release 4.4.1b1

 -- Peter Bartfai <pbartfai@stardust.hu>  Mon, 31 Jan 2022 10:03:00 +0200

=== QT/APKBUILD ===
# Maintainer: Peter Bartfai <pbartfai@stardust.hu>
pkgname=ldview
#pkgver=4.4.1_beta2
pkgver=4.4.1
pkgrel=1
pkgdesc="A real-time 3D viewer for displaying LDraw models"
url="http://github.com/tcobbs/ldview"
arch="all"
license="GPL"
#Qt5.x
depends="qt5-qtbase libpng libjpeg-turbo"
makedepends="qt5-qtbase-dev qt5-qttools-dev glu-dev libjpeg-turbo-dev make cmake extra-cmake-modules"
#source="ldview-git.tar.gz"
subpackages="$pkgname-osmesa"

build() {
  if test "$CARCH" == x86_64; then
    PLATFORM=linux-g++-64
  else
    PLATFORM=linux-g++-32
  fi
  if   [ -x /usr/bin/qmake     ] ; then qmake      -spec $PLATFORM ;
  elif [ -x /usr/bin/qmake-qt5 ] ; then qmake-qt5 -spec $PLATFORM  ; fi
  if   [ -x /usr/bin/lrelease     ] ; then lrelease     LDView.pro ;
  elif [ -x /usr/bin/lrelease-qt5 ] ; then lrelease-qt5 LDView.pro ; fi
  make "TESTING=-I ../gl2ps -I ../3rdParty/tinyxml"
  cd kde5
  if [ -d build ]; then rm -rf build ; fi
  mkdir -p build
  cd build
  if cmake -DCMAKE_INSTALL_PREFIX=`kf5-config --prefix` .. ; then
    make
  fi
  cd ../../../OSMesa
  make
}
 
package() {
  test -d ${srcdir}/ldview-git/QT && cd ${srcdir}/ldview-git/QT || cd ..
  make INSTALL_ROOT="${pkgdir}" install
#  cd kde5/build
#  make DESTDIR="${pkgdir}" install
}

osmesa() {
  cd ../OSMesa
  make PREFIX="${pkgdir}-osmesa" install
}

=== QT/PKGBUILD ===
# Maintainer: Peter Bartfai <pbartfai[at]stardust[dot]hu>
pkgname=('ldview' 'ldview-osmesa')
pkgver=4.4.1
#pkgver=4.4.1beta2
pkgrel=1
pkgdesc="A real-time 3D viewer for displaying LDraw models"
url="http://github.com/tcobbs/ldview"
arch=('x86_64' 'i686')
license=('GPL')
#Qt5.x
depends=('qt5-base' 'qt5-tools' 'libpng' 'libjpeg-turbo' 'mesa-libgl' 'gl2ps')
makedepends=('kdelibs4support' 'glu' 'gcc' 'make' 'cmake' 'extra-cmake-modules')
conflicts=()
replaces=()
backup=()
source=("ldview-git.tar.gz")
md5sums=(SKIP)

build() {
  test -d ${srcdir}/ldview-git/QT && cd ${srcdir}/ldview-git/QT || cd ..
  if test "$CARCH" == x86_64; then
    PLATFORM=linux-g++-64
  else
    PLATFORM=linux-g++-32
  fi
  if   [ -x /usr/bin/qmake     ] ; then qmake      -spec $PLATFORM ;
  elif [ -x /usr/bin/qmake-qt5 ] ; then qmake-qt5 -spec $PLATFORM  ; fi
  if   [ -x /usr/bin/lrelease     ] ; then lrelease     LDView.pro ;
  elif [ -x /usr/bin/lrelease-qt5 ] ; then lrelease-qt5 LDView.pro ; fi
  make "TESTING=-I ../gl2ps -I ../3rdParty/tinyxml" clean all
  cd kde5
  if [ -d build ]; then rm -rf build ; fi
  mkdir -p build
  cd build
  if cmake -DCMAKE_INSTALL_PREFIX=`kf5-config --prefix` .. ; then
    make
  fi
  cd ../../../OSMesa
  make all
}
 
package_ldview() {
  test -d ${srcdir}/ldview-git/QT && cd ${srcdir}/ldview-git/QT || cd ..
  make INSTALL_ROOT="${pkgdir}" install
  cd kde5/build
  make DESTDIR="${pkgdir}" install
}

package_ldview-osmesa() {
  test -d ${srcdir}/ldview-git/OSMesa && cd ${srcdir}/ldview-git/OSMesa || cd ../../OSMesa
  make PREFIX="${pkgdir}" install
}

=== QT/debian/control ===
Source: ldview
Section: graphics
Maintainer: Peter Bartfai <pbartfai@stardust.hu>
Priority: optional
#Qt4.x
Build-Depends: debhelper (>= 4.1.6), libqt4-dev, libqt4-opengl-dev, cmake, kdelibs5-dev, libgl1-mesa-dev, libpng-dev, libjpeg-dev, libosmesa6-dev, extra-cmake-modules, libkf5kio-dev, libkf5kdelibs4support5-bin
#Qt5.x
#Build-Depends: debhelper (>= 4.1.6), qtbase5-dev, qt5-qmake, libqt5opengl5-dev, cmake, kdelibs5-dev, libgl1-mesa-dev, libpng-dev, libglu-dev, libjpeg-dev, libosmesa6-dev, libtinyxml-dev, libgl2ps-dev, extra-cmake-modules, libkf5kio-dev, libkf5kdelibs4support5-bin, qttools5-dev-tools
Homepage: http://tcobbs.github.io/ldview
Standards-Version: 3.9.8

Package: ldview
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Real-time 3D viewer for displaying LDraw models
 LDView is a real-time 3D viewer for displaying LDraw models using
 hardware-accelerated 3D graphics. LDView is capable of reading LDraw DAT,
 LDR and MPD files as well as parse subassemblies for the latter,
 using the multipart tools menu. You can view and rotate the model around
 to any angle using the mouse or keyboard. LDView was written using OpenGL:
 it should provide accelerated rendering on any video card capable of
 full OpenGL 3D acceleration (so-called 'mini-drivers' are not likely to work).
 It should also work on other video cards using OpenGL software rendering,
 albeit at a much slower speed. A  fast computer or a dedicated video card
 with T&L support (Transform & Lighting) is strongly recommended
 for displaying complex models. For information on LDraw,
 please visit www.ldraw.org, the centralized LDraw resources site.

Package: ldview-osmesa
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: OSMesa port of LDView
 Command line interface of LDView

=== QT/debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
# export DH_COMPAT=7

# Select Qt version 4 or 5
export QT_SELECT=4
#export QT_SELECT=5

CFLAGS = -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0
else
CFLAGS += -O2
endif

SPEC := $(shell if [ `uname -m` = "x86_64" ] ; then echo linux-g++-64 ; elif [ `uname -m` = i386 -o `uname -m` = i486 -o `uname -m` = i586 -o `uname -m` = i686 ] ; then echo linux-g++-32 ; else echo linux-g++ ; fi )
TESTING := $(shell if [ ! -f /usr/include/gl2ps.h ] ; then echo -I ../gl2ps -L ../gl2ps ; fi; if [ ! -f /usr/include/tinyxml.h ] ; then echo -I ../3rdParty/tinyxml ; fi) $(shell dpkg-buildflags --get CPPFLAGS)
DEST=$(shell if [ -f /usr/src/packages/BUILD/QT/LDView.pro ] ; then echo /usr/src/packages/BUILD/debian/ldview ; else echo $(shell pwd)/debian/ldview ; fi )
export Q_LDFLAGS="-Wl,-z,relro"
LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)

build-arch: build
build-indep: build
build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	if [ -f LDView.pro ] ; then cd .. ; fi ; \
	cd OSMesa ;                              \
	export TESTING="$(TESTING)";             \
	make STATIC="$(LDFLAGS)" USE_CPP11=YES all;           \
	cd ../QT ;                               \
	if which lrelease-qt4 >/dev/null ; then  \
		lrelease-qt4 LDView.pro;			 \
	elif which lrelease-qt5 >/dev/null ; then \
		lrelease-qt5 LDView.pro;			 \
	elif which lrelease >/dev/null ; then \
		lrelease LDView.pro ;		 \
	fi;										 \
	qmake -config release                    \
		-spec $(SPEC)                        \
		USE_CPP11=YES;			\
	make all ;                               \
	if [ -x /usr/bin/kf5-config ] ; then     \
		cd kde5; mkdir -p build ; cd build ; \
		(QT_SELECT=5;cmake -DCMAKE_INSTALL_PREFIX=`kf5-config --prefix` .. ;\
		make all);							 \
	elif [ -x /usr/bin/kde4-config ] ; then  \
		cd kde ; mkdir -p build ; cd build ; \
		(QT_SELECT=4;cmake -DCMAKE_INSTALL_PREFIX=`kde4-config --prefix` .. ;\
		make all) ;							 \
	fi
	# --- end custom part for compiling

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	if [ -f LDView.pro ] ; then cd .. ; fi ; \
	cd 3rdParty/tinyxml ; make -f Makefile.pbartfai clean || true
	if [ -f LDView.pro ] ; then cd .. ; fi ; \
	cd QT ; make clean || true ; cd .. ;\
	cd OSMesa ; make clean || true ; cd .. ; \
	cd QT/kde ; if [ -d build ]; then rm -rf build ; fi ;\
	cd ../kde5; if [ -d build ]; then rm -rf build ; fi
	# --- end custom part for cleaning up
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package
	# The DESTDIR Has To Be Exactly  /usr/src/packages/BUILD/debian/<nameOfPackage>
	if [ -f LDView.pro ] ; then cd .. ; fi ; \
	cd QT ; make INSTALL_ROOT=$(DEST) install              ;\
	rm -f $(DEST)/usr/share/ldview/license.txt             ;\
	cd ../OSMesa ; make PREFIX=$(DEST)-osmesa install      ;\
	cd ../QT                                               ;\
    if [ -x /usr/bin/kf5-config ] ; then     				\
        cd kde5/build ; make DESTDIR=$(DEST) install	   ;\
    elif [ -x /usr/bin/kde4-config ] ; then  				\
        cd kde/build ; make DESTDIR=$(DEST) install 	   ;\
    fi

	# --- end custom part for installing

# Build architecture-independent files here.
binary-indep: build install
	# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman
	dh_installinfo
#	dh_gconf
#	dh_undocumented
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
